c------------------------------------------------------------
      subroutine trxpl_mkgs2_write1(luno,is)
c
c  write the species namelists -- one at a time
c
      use trxpl_gs2_module
      implicit NONE
c
      integer luno                      ! output LUN of open file
      integer is                        ! specie index
c
c-----------------------------
c
      integer i,k
c
      character*30 znlist
      character*5 zint
c
c-----------------------------
c
      znlist=nlist_root
      i=len_trim(znlist)+1
c
c  form namelist name
c
      write(zint,'(I5)') is
      do k=1,len(zint)
         if(zint(k:k).ne.' ') exit
      enddo
      znlist(i:)=zint(k:len(zint))
      k=len_trim(znlist)
c
c  write specie namelist
c
      write(luno,1012) slabel(is),dx_smooth_n(is),dx_smooth_t(is),
     >   znlist(1:k)
      write(luno,1013) zvec_lbl,zvec(is)
      write(luno,1013) avec_lbl,avec(is)
      write(luno,1013) nvec_lbl,nvec(is)
      write(luno,1013) tvec_lbl,tvec(is)
      write(luno,1013) tpvec_lbl,tpvec(is)
      write(luno,1013) npvec_lbl,npvec(is)
      write(luno,1013) upvec_lbl,upvec(is)
      write(luno,1013) nuvec_lbl,nuvec(is)
c
      if(ltype(is).eq.0) then
         write(luno,1014)
      else
         write(luno,1015)
      endif
c
      return
c
 1012 format(/'!_trxpl: ',a,' dx_smooth_n=',f6.3,
     >   ' dx_smooth_t=',f6.3//'&',a)
cxx 1012 format(/'!_trxpl: ',a//'&',a)
 1013 format(' ',a,1pe19.12,'  !_trxpl')
 1014 format(" type='electron'  !_trxpl"/"/")
 1015 format(" type='ion'  !_trxpl"/"/")
c
      end
